﻿using LiveSplit.Model;

namespace LiveSplit.TZA.Splits;

internal class GameStart : ISplit {
    public LogicResult Calculate(TimerPhase phase, GameMemory memory) {
        if (phase != TimerPhase.NotRunning) {
            return LogicResult.None;
        }

        if (memory.Stage.Current != 0) {
            return LogicResult.None;
        }

        if (memory.Location.Current != 12) {
            return LogicResult.None;
        }

        if (memory.ConfigMenu.Current != 0 || !memory.ConfigMenu.Changed) {
            return LogicResult.None;
        }

        // this is extremely finicky
        // going from the new game screen to ANY screen activates this

        return LogicResult.Start;
    }

    public string GetHumanName() => "After selecting New Game";
}
