﻿using LiveSplit.Model;

namespace LiveSplit.TZA.Splits;

internal class TheUndying : ISplit {
    public LogicResult Calculate(TimerPhase phase, GameMemory memory) {
        if (phase != TimerPhase.Running) {
            return LogicResult.None;
        }

        if (memory.Stage.Current != 7100) {
            return LogicResult.None;
        }

        if (memory.Location.Current != 785) {
            return LogicResult.None;
        }

        if (!memory.UndyingInfo.Changed || memory.UndyingInfo.Current.Hp != 0) {
            return LogicResult.None;
        }

        return LogicResult.Split;
    }

    public string GetHumanName() => "On last hit on The Undying";
}
